|  | Home | Documentation | wst__RenewTargetType Struct Reference updated by Robert van Engelen |

wst__RenewTargetType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RenewTargetType is a complexType. More...

`#include <wst.h>`

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RenewTargetType is a complexType.

struct wst__RenewTargetType operations:

- wst__RenewTargetType* soap_new_wst__RenewTargetType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RenewTargetType(struct soap*, wst__RenewTargetType*) default initialize members
- int soap_read_wst__RenewTargetType(struct soap*, wst__RenewTargetType*) deserialize from a source
- int soap_write_wst__RenewTargetType(struct soap*, wst__RenewTargetType*) serialize to a sink
- wst__RenewTargetType* soap_dup_wst__RenewTargetType(struct soap*, wst__RenewTargetType* dst, wst__RenewTargetType <em>src) returns deep copy of wst__RenewTargetType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RenewTargetType(wst__RenewTargetType

) deep deletes wst__RenewTargetType data members, use only on dst after soap_dup_wst__RenewTargetType(NULL, wst__RenewTargetType *dst, wst__RenewTargetType *src) (use soapcpp2 -Ed)

The documentation for this struct was generated from the following file:

- wst.h